<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* twitter-form-settings.twig */
class __TwigTemplate_61a76fa10f70076bc25d4f08d6ffaa93c322bfc3ce497b7ddd8a180d11af575e extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "twitter-form-settings.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("module-form-settings.twig", "twitter-form-settings.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_moduleFormFields($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        ob_start(function () { return ''; });
        echo __("API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 14
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from Twitter.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 15
        echo "    ";
        echo $context["forms"]->getinput("apiKey", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method"), ($context["helpText"] ?? null));
        echo "

    ";
        // line 17
        ob_start(function () { return ''; });
        echo __("API Secret");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 18
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Secret from Twitter.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 19
        echo "    ";
        echo $context["forms"]->getinput("apiSecret", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "apiSecret"], "method"), ($context["helpText"] ?? null));
        echo "

    ";
        // line 21
        ob_start(function () { return ''; });
        echo __("Cache Period");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 22
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter the number of seconds you would like to cache twitter search results.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 23
        echo "    ";
        echo $context["forms"]->getinput("cachePeriod", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "cachePeriod", 1 => 300], "method"), ($context["helpText"] ?? null));
        echo "

    ";
        // line 25
        ob_start(function () { return ''; });
        echo __("Cache Period for Images");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 26
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter the number of hours you would like to cache twitter images.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 27
        echo "    ";
        echo $context["forms"]->getinput("cachePeriodImages", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "cachePeriodImages", 1 => 24], "method"), ($context["helpText"] ?? null));
        echo "

";
    }

    public function getTemplateName()
    {
        return "twitter-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  100 => 27,  95 => 26,  91 => 25,  85 => 23,  80 => 22,  76 => 21,  70 => 19,  65 => 18,  61 => 17,  55 => 15,  50 => 14,  45 => 13,  42 => 12,  37 => 9,  35 => 10,  29 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "twitter-form-settings.twig", "/home/mgatv524/public_html/edurocha/modules/twitter-form-settings.twig");
    }
}
